Results 1 to 4 of 4

Thread: Can't Install System Status Plasmoid

  1. #1
    Join Date
    Sep 2008
    Location
    St Louis, MO USA
    Posts
    398

    Default Can't Install System Status Plasmoid

    I really would like to install the KDE 4 system status plasmoid (I can't function properly without a system monitor of some sort, but my attempts at installing the plasmoid (both via enabling the KDE:4 Community repo and the one-click-install) have failed. Using the one-click-install from the openSUSE Software Search (for openSUSE 11.0) gave me a dependency conflict with the following output.

    Code:
    nothing provides libHalf.so.4 needed by kdebase4-runtime-4.0.4-26.32.i586
    
        [ ] Following actions will be done:
    downgrade of kdebase4-runtime-4.1.2-58.3.i586 to kdebase4-runtime-4.0.4-20.2.i586
    downgrade of kde4-akregator-4.1.2-60.10.i586 to kde4-akregator-4.0.80-9.3.i586
    deinstallation of kde4-amarok-1.92.2-6.13.i586
    deinstallation of kde4-amarok-lang-1.92.2-6.13.i586
    deinstallation of kde4-digikam-0.10.0-59.10.i586
    downgrade of kdebase4-4.1.2-52.4.i586 to kdebase4-4.0.4-22.38.i586
    downgrade of kdeartwork4-screensaver-4.1.2-15.19.i586 to kdeartwork4-screensaver-4.0.4-14.1.i586
    downgrade of kdeartwork4-kwin-4.1.2-15.19.i586 to kdeartwork4-kwin-4.0.4-14.1.i586
    downgrade of kdeartwork4-4.1.2-15.19.i586 to kdeartwork4-4.0.4-14.1.i586
    downgrade of kdeadmin4-4.1.2-18.12.i586 to kdeadmin4-4.0.4-13.1.i586
    downgrade of kde4-webkitpart-4.1.1.svn856106-14.28.i586 to kde4-webkitpart-4.0.71.svn800669-21.1.i586
    downgrade of kde4-superkaramba-4.1.2-28.7.i586 to kde4-superkaramba-4.0.4-19.1.i586
    deinstallation of kde4-printer-applet-4.1.2-28.7.i586
    deinstallation of kde4-plasma-addons-4.1.2-25.1.i586
    downgrade of kde4-okular-4.1.2-45.7.i586 to kde4-okular-4.0.4-14.1.i586
    downgrade of kde4-kwrite-4.1.2-52.4.i586 to kde4-kwrite-4.0.4-22.38.i586
    downgrade of kde4-kwin-4.1.2-120.1.i586 to kde4-kwin-4.0.4-74.3.i586
    downgrade of kde4-kwikdisk-4.1.2-28.7.i586 to kde4-kwikdisk-4.0.4-19.1.i586
    downgrade of kde4-kwalletmanager-4.1.2-28.7.i586 to kde4-kwalletmanager-4.0.4-19.1.i586
    downgrade of kde4-ksnapshot-4.1.2-45.7.i586 to kde4-ksnapshot-4.0.4-14.1.i586
    downgrade of kde4-kscd-4.1.2-24.20.i586 to kde4-kscd-4.0.4-15.1.i586
    downgrade of kde4-kruler-4.1.2-45.7.i586 to kde4-kruler-4.0.4-14.1.i586
    downgrade of kde4-krfb-4.1.2-31.7.i586 to kde4-krfb-4.0.4-19.62.i586
    downgrade of kde4-kreversi-4.1.2-18.15.i586 to kde4-kreversi-4.0.4-16.1.i586
    downgrade of kde4-krdc-4.1.2-31.7.i586 to kde4-krdc-4.0.4-19.62.i586
    downgrade of kde4-kopete-4.1.2-31.7.i586 to kde4-kopete-4.0.4-19.1.i586
    downgrade of kde4-konsole-4.1.2-52.4.i586 to kde4-konsole-4.0.4-22.38.i586
    downgrade of kde4-konqueror-plugins-4.1.2-20.20.i586 to kde4-konqueror-plugins-4.0.svn819877-2.2.i586
    downgrade of kde4-konqueror-4.1.2-52.4.i586 to kde4-konqueror-4.0.4-22.38.i586
    downgrade of kde4-kompare-4.1.2-24.20.i586 to kde4-kompare-4.0.4-16.54.i586
    downgrade of kde4-kolourpaint-4.1.2-45.7.i586 to kde4-kolourpaint-4.0.4-14.1.i586
    downgrade of kde4-knotes-4.1.2-60.10.i586 to kde4-knotes-4.0.80-9.3.i586
    downgrade of kde4-kmix-4.1.2-24.20.i586 to kde4-kmix-4.0.4-15.1.i586
    downgrade of kde4-kio_sysinfo-11.0-81.25.i586 to kde4-kio_sysinfo-11.0-74.2.i586
    downgrade of kde4-kio_svn-4.1.2-24.20.i586 to kde4-kio_svn-4.0.4-16.54.i586
    downgrade of kde4-kio_audiocd-4.1.2-24.20.i586 to kde4-kio_audiocd-4.0.4-15.1.i586
    downgrade of kde4-kgpg-4.1.2-28.7.i586 to kde4-kgpg-4.0.4-19.1.i586
    downgrade of kde4-kget-4.1.2-31.7.i586 to kde4-kget-4.0.4-19.62.i586
    downgrade of kde4-kfloppy-4.1.2-28.7.i586 to kde4-kfloppy-4.0.4-19.1.i586
    downgrade of kde4-kfind-4.1.2-52.4.i586 to kde4-kfind-4.0.4-22.38.i586
    downgrade of kde4-keditbookmarks-4.1.2-52.4.i586 to kde4-keditbookmarks-4.0.4-22.38.i586
    downgrade of kde4-kdialog-4.1.2-52.4.i586 to kde4-kdialog-4.0.4-22.38.i586
    downgrade of kde4-kdf-4.1.2-28.7.i586 to kde4-kdf-4.0.4-19.1.i586
    downgrade of kde4-kdessh-4.1.2-28.7.i586 to kde4-kdessh-4.0.4-19.1.i586
    downgrade of kde4-kdepasswd-4.1.2-52.4.i586 to kde4-kdepasswd-4.0.4-22.38.i586
    downgrade of kde4-kcalc-4.1.2-28.7.i586 to kde4-kcalc-4.0.4-19.1.i586
    downgrade of kde4-kate-4.1.2-24.20.i586 to kde4-kate-4.0.4-16.54.i586
    deinstallation of kde4-kaffeine-4.1.1.svn860578-2.16.i586
    deinstallation of kde4-k3b-4.1.1.svn860449-2.14.i586
    downgrade of kde4-juk-4.1.2-24.20.i586 to kde4-juk-4.0.4-15.1.i586
    downgrade of kde4-gwenview-4.1.2-45.7.i586 to kde4-gwenview-4.0.4-14.1.i586
    downgrade of python-kde4-4.1.2-10.13.i586 to python-kde4-4.0.4-6.11.i586
    downgrade of ktorrent-3.1.4-10.1.i586 to ktorrent-3.1.4-0.pm.1.i586
    install ktorrent-3.1.4-0.pm.1.i586 (with vendor change)
      openSUSE Build Service
    -->
      packman.links2linux.de
    downgrade of krusader-1.99.1.svn6082-5.13.i586 to krusader-1.99.1.svn6082-2.3.i586
    downgrade of kdewebdev4-4.1.2-19.16.i586 to kdewebdev4-4.0.4-14.1.i586
    downgrade of kdetoys4-4.1.2-14.20.i586 to kdetoys4-4.0.4-14.1.i586
    downgrade of kdenetwork4-filesharing-4.1.2-31.7.i586 to kdenetwork4-filesharing-4.0.4-19.62.i586
    downgrade of kdenetwork4-4.1.2-31.7.i586 to kdenetwork4-4.0.4-19.62.i586
    downgrade of kdemultimedia4-4.1.2-24.20.i586 to kdemultimedia4-4.0.4-15.1.i586
    downgrade of kdegraphics4-4.1.2-45.7.i586 to kdegraphics4-4.0.4-14.1.i586
    downgrade of kdebase4-workspace-4.1.2-120.1.i586 to kdebase4-workspace-4.0.4-24.6.i586
    downgrade of kde4-dolphin-4.1.2-52.4.i586 to kde4-dolphin-4.0.4-22.38.i586
    downgrade of kde4-ark-4.1.2-28.7.i586 to kde4-ark-4.0.4-19.1.i586
    downgrade of kdebase4-nsplugin-4.1.2-52.4.i586 to kdebase4-nsplugin-4.0.4-22.38.i586
    deinstallation of kde4-konqueror-plugins-lang-4.1.2-20.20.i586
    downgrade of kdebase4-session-4.1.2-21.1.i586 to kdebase4-session-4.0.4-6.1.i586
    downgrade of libkdegames4-4.1.2-18.15.i586 to libkdegames4-4.0.4-16.1.i586
    downgrade of libkde4-4.1.2-49.1.i586 to libkde4-4.0.4-15.2.i586
    downgrade of kdelibs4-4.1.2-49.1.i586 to kdelibs4-4.0.4-15.2.i586
    downgrade of kdepimlibs4-4.1.2-2.3.i586 to kdepimlibs4-4.0.72-14.1.i586   
    
    
     [ ] do not install kde4-plasmoid-system_status-0.2-1.3.i586
    What am I doing wrong here? I know I have seen this and other plasmoids on KDE user screenshots.Should I just downgrade and hope for the best? Should I try installing the plasmoid from the Factory branch?

    Note: The KDE 4 desktop was installed via the One-Click link from the openSUSE newsletter a while back (I believe it is from KDE4:Factory).
    Last edited by zak89; 31-Oct-2008 at 10:24. Reason: Mispelling

  2. #2
    Join Date
    Jun 2008
    Location
    PHX
    Posts
    481

    Default Re: Can't Install System Status Plasmoid

    That particular build of the plasmoid you are attempting to install was compiled against the KDE4.0 branch, but you have KDE4.1 installed along with it's associated libs. I would not downgrade as you mentioned else you will go back to a KDE4.0 desktop. Try the plasmoid from the Factory repo and post back with any errors you might get.
    <>---><^>

  3. #3
    Join Date
    Mar 2008
    Location
    Bochum, Germany
    Posts
    3,587

    Default Re: Can't Install System Status Plasmoid

    * zak89,

    not a fix, but maybe an alternative solution: I use the Oxygen 0.4 System Monitor with Superkaramba to avoid the KDE version hassle (which I expect to continue for quite a while).

    Uwe

  4. #4
    Join Date
    Sep 2008
    Location
    St Louis, MO USA
    Posts
    398

    Default Re: Can't Install System Status Plasmoid

    This is from trying the Factory version:

    Code:
    nothing provides libHalf.so.4 needed by kdebase4-runtime-4.0.4-26.32.i586
    
        [ ] Following actions will be done:
    downgrade of kdebase4-runtime-4.1.2-58.3.i586 to kdebase4-runtime-4.0.4-20.2.i586
    downgrade of kde4-akregator-4.1.2-60.10.i586 to kde4-akregator-4.0.80-9.3.i586
    deinstallation of kde4-amarok-1.92.2-6.13.i586
    deinstallation of kde4-amarok-lang-1.92.2-6.13.i586
    deinstallation of kde4-digikam-0.10.0-59.10.i586
    downgrade of kdebase4-4.1.2-52.4.i586 to kdebase4-4.0.4-22.38.i586
    downgrade of kdeartwork4-screensaver-4.1.2-15.19.i586 to kdeartwork4-screensaver-4.0.4-14.1.i586
    downgrade of kdeartwork4-kwin-4.1.2-15.19.i586 to kdeartwork4-kwin-4.0.4-14.1.i586
    downgrade of kdeartwork4-4.1.2-15.19.i586 to kdeartwork4-4.0.4-14.1.i586
    downgrade of kdeadmin4-4.1.2-18.12.i586 to kdeadmin4-4.0.4-13.1.i586
    downgrade of kde4-webkitpart-4.1.1.svn856106-14.28.i586 to kde4-webkitpart-4.0.71.svn800669-21.1.i586
    downgrade of kde4-superkaramba-4.1.2-28.7.i586 to kde4-superkaramba-4.0.4-19.1.i586
    deinstallation of kde4-printer-applet-4.1.2-28.7.i586
    deinstallation of kde4-plasma-addons-4.1.2-25.1.i586
    downgrade of kde4-okular-4.1.2-45.7.i586 to kde4-okular-4.0.4-14.1.i586
    downgrade of kde4-kwrite-4.1.2-52.4.i586 to kde4-kwrite-4.0.4-22.38.i586
    downgrade of kde4-kwin-4.1.2-120.1.i586 to kde4-kwin-4.0.4-74.3.i586
    downgrade of kde4-kwikdisk-4.1.2-28.7.i586 to kde4-kwikdisk-4.0.4-19.1.i586
    downgrade of kde4-kwalletmanager-4.1.2-28.7.i586 to kde4-kwalletmanager-4.0.4-19.1.i586
    downgrade of kde4-ksnapshot-4.1.2-45.7.i586 to kde4-ksnapshot-4.0.4-14.1.i586
    downgrade of kde4-kscd-4.1.2-24.20.i586 to kde4-kscd-4.0.4-15.1.i586
    downgrade of kde4-kruler-4.1.2-45.7.i586 to kde4-kruler-4.0.4-14.1.i586
    downgrade of kde4-krfb-4.1.2-31.7.i586 to kde4-krfb-4.0.4-19.62.i586
    downgrade of kde4-kreversi-4.1.2-18.15.i586 to kde4-kreversi-4.0.4-16.1.i586
    downgrade of kde4-krdc-4.1.2-31.7.i586 to kde4-krdc-4.0.4-19.62.i586
    downgrade of kde4-kopete-4.1.2-31.7.i586 to kde4-kopete-4.0.4-19.1.i586
    downgrade of kde4-konsole-4.1.2-52.4.i586 to kde4-konsole-4.0.4-22.38.i586
    downgrade of kde4-konqueror-plugins-4.1.2-20.20.i586 to kde4-konqueror-plugins-4.0.svn819877-2.2.i586
    downgrade of kde4-konqueror-4.1.2-52.4.i586 to kde4-konqueror-4.0.4-22.38.i586
    downgrade of kde4-kompare-4.1.2-24.20.i586 to kde4-kompare-4.0.4-16.54.i586
    downgrade of kde4-kolourpaint-4.1.2-45.7.i586 to kde4-kolourpaint-4.0.4-14.1.i586
    downgrade of kde4-knotes-4.1.2-60.10.i586 to kde4-knotes-4.0.80-9.3.i586
    downgrade of kde4-kmix-4.1.2-24.20.i586 to kde4-kmix-4.0.4-15.1.i586
    downgrade of kde4-kio_sysinfo-11.0-81.25.i586 to kde4-kio_sysinfo-11.0-74.2.i586
    downgrade of kde4-kio_svn-4.1.2-24.20.i586 to kde4-kio_svn-4.0.4-16.54.i586
    downgrade of kde4-kio_audiocd-4.1.2-24.20.i586 to kde4-kio_audiocd-4.0.4-15.1.i586
    downgrade of kde4-kgpg-4.1.2-28.7.i586 to kde4-kgpg-4.0.4-19.1.i586
    downgrade of kde4-kget-4.1.2-31.7.i586 to kde4-kget-4.0.4-19.62.i586
    downgrade of kde4-kfloppy-4.1.2-28.7.i586 to kde4-kfloppy-4.0.4-19.1.i586
    downgrade of kde4-kfind-4.1.2-52.4.i586 to kde4-kfind-4.0.4-22.38.i586
    downgrade of kde4-keditbookmarks-4.1.2-52.4.i586 to kde4-keditbookmarks-4.0.4-22.38.i586
    downgrade of kde4-kdialog-4.1.2-52.4.i586 to kde4-kdialog-4.0.4-22.38.i586
    downgrade of kde4-kdf-4.1.2-28.7.i586 to kde4-kdf-4.0.4-19.1.i586
    downgrade of kde4-kdessh-4.1.2-28.7.i586 to kde4-kdessh-4.0.4-19.1.i586
    downgrade of kde4-kdepasswd-4.1.2-52.4.i586 to kde4-kdepasswd-4.0.4-22.38.i586
    downgrade of kde4-kcalc-4.1.2-28.7.i586 to kde4-kcalc-4.0.4-19.1.i586
    downgrade of kde4-kate-4.1.2-24.20.i586 to kde4-kate-4.0.4-16.54.i586
    deinstallation of kde4-kaffeine-4.1.1.svn860578-2.16.i586
    deinstallation of kde4-k3b-4.1.1.svn860449-2.14.i586
    downgrade of kde4-juk-4.1.2-24.20.i586 to kde4-juk-4.0.4-15.1.i586
    downgrade of kde4-gwenview-4.1.2-45.7.i586 to kde4-gwenview-4.0.4-14.1.i586
    downgrade of python-kde4-4.1.2-10.13.i586 to python-kde4-4.0.4-6.11.i586
    downgrade of ktorrent-3.1.4-10.1.i586 to ktorrent-3.1.4-0.pm.1.i586
    install ktorrent-3.1.4-0.pm.1.i586 (with vendor change)
      openSUSE Build Service
    -->
      packman.links2linux.de
    downgrade of krusader-1.99.1.svn6082-5.13.i586 to krusader-1.99.1.svn6082-2.3.i586
    downgrade of kdewebdev4-4.1.2-19.16.i586 to kdewebdev4-4.0.4-14.1.i586
    downgrade of kdetoys4-4.1.2-14.20.i586 to kdetoys4-4.0.4-14.1.i586
    downgrade of kdenetwork4-filesharing-4.1.2-31.7.i586 to kdenetwork4-filesharing-4.0.4-19.62.i586
    downgrade of kdenetwork4-4.1.2-31.7.i586 to kdenetwork4-4.0.4-19.62.i586
    downgrade of kdemultimedia4-4.1.2-24.20.i586 to kdemultimedia4-4.0.4-15.1.i586
    downgrade of kdegraphics4-4.1.2-45.7.i586 to kdegraphics4-4.0.4-14.1.i586
    downgrade of kdebase4-workspace-4.1.2-120.1.i586 to kdebase4-workspace-4.0.4-24.6.i586
    downgrade of kde4-dolphin-4.1.2-52.4.i586 to kde4-dolphin-4.0.4-22.38.i586
    downgrade of kde4-ark-4.1.2-28.7.i586 to kde4-ark-4.0.4-19.1.i586
    downgrade of kdebase4-nsplugin-4.1.2-52.4.i586 to kdebase4-nsplugin-4.0.4-22.38.i586
    deinstallation of kde4-konqueror-plugins-lang-4.1.2-20.20.i586
    downgrade of kdebase4-session-4.1.2-21.1.i586 to kdebase4-session-4.0.4-6.1.i586
    downgrade of libkdegames4-4.1.2-18.15.i586 to libkdegames4-4.0.4-16.1.i586
    downgrade of libkde4-4.1.2-49.1.i586 to libkde4-4.0.4-15.2.i586
    downgrade of kdelibs4-4.1.2-49.1.i586 to kdelibs4-4.0.4-15.2.i586
    downgrade of kdepimlibs4-4.1.2-2.3.i586 to kdepimlibs4-4.0.72-14.1.i586    
    
    [ ] do not install kde4-plasmoid-system_status-0.2-1.3.i586

    I tried the Karamba applet, but it doesn't work properly without transparency enabled, and my video card doesn't like that.

    By the way, this came from the /KDE:/KDE4:/Community/openSUSE_Factory_KDE4_UNSTABLE_Desktop/ repo

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •